## mutter 2.29.0-1ubuntu1dx3+r3435

=== test/tokentest/Makefile ===
# completely hacked-up makefile, proceed at your own risk, etc

default:
	@echo "Try 'make tp' or 'make glib'"

tp: tokentest.c
	gcc `pkg-config --cflags --libs glib-2.0 gdk-2.0 atk` -DMUTTER_DATADIR=\"/usr/share/mutter\" -I../.. -I../../src -I../../src/include tokentest.c ../../src/ui/theme.c ../../src/ui/gradient.c -o tp

=== debian/changelog ===
mutter (2.29.0-1ubuntu1dx3+r3435) lucid; urgency=low

  * Dummy bumping of version
  * debian/control.in:
    - breaks on unity << latest compatible release

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Apr 2010 13:28:38 +0200

mutter (2.29.0-1ubuntu1dx3+r3434) lucid; urgency=low

  * Adds checks to stop segfaulting
  * Adds new API, breaks ABI

 -- Neil J. Patel <neil.patel@canonical.com>  Thu, 25 Mar 2010 16:23:09 +0000

mutter (2.29.0-1ubuntu1dx2+r3432) lucid; urgency=low

  * Update the damage patch with support for queueing

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 24 Mar 2010 09:23:46 +0000

mutter (2.29.0-1ubuntu1dx2+r3429) lucid; urgency=low

  * Remove patches that no longer apply

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 17 Mar 2010 15:30:33 +0000

mutter (2.29.0-1ubuntu1dx1+r3429) lucid; urgency=low

  * Build from our branch
    - Added patch from bugzilla that streams damage events directly to Clutter

 -- Neil J. Patel <neil.patel@canonical.com>  Wed, 17 Mar 2010 14:43:20 +0000

mutter (2.29.0-1ubuntu1dx1) lucid; urgency=low

  * New upsteam release

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 19 Feb 2010 12:34:24 +0000

mutter (2.28.1~git20091208-1ubuntu7dx1) lucid; urgency=low

  * Add 99_add_min_max_checks_to_api.patch
    Add 99_optimise_window_paint.patch
    - Does exactly what it says on the tin

 -- Neil J. Patel <neil.patel@canonical.com>  Fri, 19 Feb 2010 10:57:37 +0000

mutter (2.28.1~git20091208-1ubuntu7) lucid; urgency=low

  * 80_no_session_delay.patch: Start mutter as early as possible, since with
    plugins (such as gnome-shell) it will take the longest time to start up;
    Let the scheduler deal with squeezing the other processes into mutter's
    idle periods.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 12 Feb 2010 12:26:24 +0100

mutter (2.28.1~git20091208-1ubuntu6) lucid; urgency=low

  * add debian/patches/11_hide_tooltip_on_decorator.patch: (LP: #519856)
    add a gconf key (/desktop/gnome/interface/hide_decorator_tooltip)
    to disable tooltip in decorator bar. If key not present, show the tooltip.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Feb 2010 18:08:45 +0100

mutter (2.28.1~git20091208-1ubuntu5) lucid; urgency=low

  * debian/control.in:
    - add Vcs-Bzr into debian/control.in
  * add 91_add_window_groups.patch
    - Adds support for a above, normal and below window groups, for more 
      control by plugins

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 04 Feb 2010 20:32:21 -0800

mutter (2.28.1~git20091208-1ubuntu4) lucid; urgency=low

  * debian/control: Add Vcs-* headers, imported into bzr now.
  * Add debian/patches/80_no_session_delay.patch: Start mutter together with
    all other components, to avoid a bottleneck.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jan 2010 16:20:31 +0100

mutter (2.28.1~git20091208-1ubuntu3) lucid; urgency=low

  * add debian/patches/10_no-ws-switcher.patch:
    Don't show ws selector when you only have one ws (LP: #506944)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 14 Jan 2010 17:03:20 +0100

mutter (2.28.1~git20091208-1ubuntu2) lucid; urgency=low

  * debian/control{,.in}: Add missing Replaces/Conflicts
    - gir1.0-mutter-2.28: Replaces and conflicts libmutter0 (<= 2.28.0-0ubuntu1)
    - mutter: Replaces libmutter0 (<= 2.28.0-0ubuntu1), mutter-common (<=
      2.28.0-0ubuntu1)

 -- Michael Bienia <geser@ubuntu.com>  Fri, 08 Jan 2010 21:24:05 +0100

mutter (2.28.1~git20091208-1ubuntu1) lucid; urgency=low

  * Merge with Debian squeeze.
  * debian/rules: Replace remaining occurances of "metacity" with "mutter". 

 -- Michael Bienia <geser@ubuntu.com>  Fri, 08 Jan 2010 14:40:43 +0100

mutter (2.28.1~git20091208-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 24 Oct 2009 13:16:53 -0200

mutter (2.28.1~git20091024-1) unstable; urgency=low

  * Upstream snapshot
  * debian/control.in:
  - fixed typo in description
  - bump Standards-Version to 3.8.3

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 24 Oct 2009 12:59:03 -0200

mutter (2.28.0-2) unstable; urgency=low

  * debian/control.in:
  - adapt for the new GObject introspection policy

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 19 Oct 2009 15:59:57 -0200

mutter (2.28.0-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 09 Oct 2009 13:23:25 -0300

mutter (2.27.5-1) unstable; urgency=low

  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 30 Sep 2009 21:19:05 +0100

mutter (2.27.3-2) unstable; urgency=low

  [ Simon Raven <simon.raven@gmail.com> ]
  * debian/control.in:
  - adding missing build-dep to fix FTBFS (Closes: #544342)

  [ Gustavo Noronha Silva ]
  * debian/control.in:
  - also add gobject-introspection, gobject-introspection-glib-2.0,
    gobject-introspection-freedesktop, which were also missing, to
    build-depends

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 30 Aug 2009 19:02:46 -0300

mutter (2.27.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Update list of copyright holders.

  [ Gustavo Noronha Silva ]
  * New upstream release

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 29 Aug 2009 21:53:05 -0300

mutter (2.27.2-1) unstable; urgency=low

  * First mutter release for Debian
  - no ITP since this is in practice a branch of metacity
  * debian/control.in:
  - adapted descriptions
  - added build-deps on gobject-introspection, and clutter >= 1.0
  - renamed packages
  * debian/patches/10_ignore_callbacks.patch:
  - removed; applied upstream
  * debian/mutter-common.install:
  - this package no longer provides themes and gnome-control-center
    keybindings capplet; this will come in a separate module in the
    future, it seems, and we may want to make sure it is installed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 26 Jul 2009 13:33:08 +0200

metacity (1:2.26.0-3) unstable; urgency=high



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: mutter
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5),
               quilt,
               intltool (>= 0.34.90),
               gobject-introspection (>= 0.6.5-3),
               gir1.0-clutter-1.0,
               gir1.0-glib-2.0,
               gir1.0-freedesktop,
               gir-repository-dev,
               libgirepository1.0-dev (>= 0.6.5-3),
               libclutter-1.0-dev (>= 1.0.0),
               libgtk2.0-dev (>= 2.10.0),
               libpango1.0-dev (>= 1.2.0),
               libgconf2-dev (>= 2.6.1-2),
               libglib2.0-dev (>= 2.6.0),
               libstartup-notification0-dev (>= 0.7),
               libxcomposite-dev (>= 1:0.2),
               libxfixes-dev,
               libxrender-dev,
               libxdamage-dev,
               libxcursor-dev,
               libxt-dev,
               libx11-dev,
               libxinerama-dev,
               libxext-dev,
               libxrandr-dev,
               libsm-dev,
               libice-dev,
               zenity,
               gnome-doc-utils (>= 0.8),
               gnome-pkg-tools (>= 0.10),
               dpkg-dev (>= 1.13.19)
Standards-Version: 3.8.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/mutter/ubuntu/
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-desktop/mutter/ubuntu/

Package: mutter
Section: x11
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mutter-common (>= ${gnome:Version}),
         mutter-common (<< ${gnome:NextVersion}),
         zenity
Provides: x-window-manager
Breaks: unity (<= 0.1.24-0ubuntu1)
Recommends: gnome-session | x-session-manager
Suggests: gnome-control-center (>= 1:2.5.4),
          gnome-themes,
          xdg-user-dirs
Replaces: libmutter0 (<= 2.28.0-0ubuntu1), mutter-common (<= 2.28.0-0ubuntu1)
Description: lightweight GTK+ window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the core binaries.

Package: libmutter-private0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mutter-common (>= ${gnome:Version}),
         mutter-common (<< ${gnome:NextVersion})
Conflicts: libmutter0
Replaces: libmutter0
Description: library for the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the shared library.

Package: mutter-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Replaces: mutter (<< 1:2.16.3)
Description: shared files for the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the shared files.

Package: libmutter-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmutter-private0 (= ${binary:Version}),
         libclutter-1.0-dev (>= 1.0.0),
         libgtk2.0-dev (>= 2.10.0-1)
Description: Development files for the Mutter window manager
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the development files.

Package: gir1.0-mutter-2.28
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlib:Depends},
         ${misc:Depends}
Conflicts: libmutter-private0 (<= 2.28.0-1), libmutter0 (<= 2.28.0-0ubuntu1)
Replaces: libmutter-private0 (<= 2.28.0-1), libmutter0 (<= 2.28.0-0ubuntu1)
Description: GObject introspection data for Mutter
 Mutter is a small window manager, using GTK+ and Clutter to do
 everything.
 .
 Mutter is the clutter-based evolution of Metacity, which, as the
 author says, is a "Boring window manager for the adult in you. Many
 window managers are like Marshmallow Froot Loops; Metacity is like
 Cheerios."
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-startup-notification=yes
DEB_DH_MAKESHLIBS_ARGS_libmutter-private0 += -V 'libmutter-private0 (>= 2.27.1)'
DEB_INSTALL_DOCS_mutter += doc/theme-format.txt

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg)

# This does not work with mutter; disabled, for now.
# LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/mutter/([\d\.]+)\d/ mutter-(.*)\.tar\.gz debian uupdate

## mutter 2.91.5

=== debian/changelog ===
mutter (2.91.5-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
      - Remove unneeded libgtk2.0-dev build dependency.
    + debian/patches/02_gdk_removed_macro.patch,
      debian/patches/03_handle_new_gtk_states.patch,
      debian/patches/04_fix_gradient_example.patch:
      - Removed, included upstream.
  * debian/libmutter-private0.symbols:
    + Add a symbols file.
  * debian/rules:
    + Make the shlibs always depend on the latest upstream version.
      We have symbols file anyway, and manually bumping the shver is
      error prone.

  [ Laurent Bigonville ]
  * debian/control: Bump Standards-Version to 3.9.1

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:06:20 +0000

mutter (2.91.3-3) experimental; urgency=low

  * debian/patches/02_gdk_removed_macro.patch,
  * debian/patches/03_handle_new_gtk_states.patch,
  * debian/patches/04_fix_gradient_example.patch:
    - Patches from upstream git, fix the build with latest GTK+ 3.
  * debian/control.in:
    - Bump the libgtk3.0-dev build dependency accordingly.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 18 Dec 2010 23:39:24 +0000

mutter (2.91.3-2) experimental; urgency=low

  * Update to the new gir policy:
    - Rename gir1.0-mutter-2.91 to gir1.2-mutter-2.91.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.
  * debian/control.in:
    - Fix typo, s/shlib/shlibs/.
  * debian/rules:
    - Remove hack to get translations in /usr/share, no longer needed.
    - Pass the path to the typelibs to dh_girepository to get correct
      dependencies.
  * debian/rules,
    debian/control.in:
    - Use dh-autoreconf.
  * debian/patches/90_autotools.patch,
    debian/patches/99_ltmain_as-needed.patch:
    - Removed, no longer needed with dh-autoreconf.
  * debian/rules,
    debian/copyright:
    - Fix some metacity leftovers.
  * debian/mutter.1,
    debian/mutter-message.1,
    debian/mutter-theme-viewer.1,
    debian/mutter-window-demo.1,
    debian/mutter-common.manpages:
    - Removed, shipped upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 14 Dec 2010 00:52:38 +0100

mutter (2.91.3-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * New development release
  * debian/control:
  - update build-dependencies on GObject-Introspection packages
  - build-depend on GTK+3

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    - Rename gir1.0-mutter-2.31 to gir1.0-mutter-2.91.
  * debian/control.in:
    - Build depend on libjson-glib-dev and gir1.0-json-glib-1.0.
  * debian/rules,
    debian/control.in,
    debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/rules:
    - Bump the shlib version.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 06 Dec 2010 00:59:42 +0100

mutter (2.31.5-1) experimental; urgency=low

  * New upstream release
  - refreshed patches
  - added a hack to rules to work-around the build trying to install
    locale files to /usr/lib/locale
  - bumped shlib minimum version to 2.31.5 (see #586124)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 13 Jul 2010 11:36:29 -0300

mutter (2.31.2-3) experimental; urgency=low

  * debian/gir1.0-mutter-2.{29->31}.install:
  - actually install the typelib file

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 31 May 2010 11:37:33 -0300

mutter (2.31.2-2) experimental; urgency=low

  * debian/control:
  - fix GIR package name to account for GIR API name change

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 May 2010 15:15:34 -0300

mutter (2.31.2-1) experimental; urgency=low

  * New development release

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 26 May 2010 10:51:58 -0300

mutter (2.29.1-1) experimental; urgency=low

  * New development release.
  * debian/control:
  - build-dep on clutter >= 1.2

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 08 Apr 2010 20:48:38 -0300

mutter (2.29.0-2) unstable; urgency=low

  * debian/control:
  - fix gir package name, because the typelib has changed its name

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 Mar 2010 17:27:59 -0300

mutter (2.29.0-1) unstable; urgency=low

  * New upstream development release.
  * debian/rules:
  - update makeshlibs argument to require >= 2.29.0

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 02 Mar 2010 19:19:44 -0300

mutter (2.28.1~git20100129-1) unstable; urgency=low

  * Upstream snapshot

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 29 Jan 2010 12:04:09 -0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,21 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
-               quilt,
+               dh-autoreconf,
                intltool (>= 0.34.90),
-               gobject-introspection (>= 0.6.5-3),
-               gir1.0-clutter-1.0,
-               gir1.0-glib-2.0,
-               gir1.0-freedesktop,
-               gir-repository-dev,
-               libgirepository1.0-dev (>= 0.6.5-3),
-               libclutter-1.0-dev (>= 1.0.0),
-               libgtk2.0-dev (>= 2.10.0),
+               libgtk3.0-dev (>= 2.99.1),
+               gir1.2-gtk-3.0,
+               gir1.2-clutter-1.0 (>= 1.4.0),
+               gir1.2-json-glib-1.0 (>= 0.12.0-1~),
+               libcanberra-gtk3-dev,
+               gobject-introspection (>= 0.9.12-5~),
+               libgirepository1.0-dev (>= 0.9.12),
+               libjson-glib-dev (>= 0.12.0-1~),
+               libclutter-1.0-dev (>= 1.4.0),
                libpango1.0-dev (>= 1.2.0),
                libgconf2-dev (>= 2.6.1-2),
                libglib2.0-dev (>= 2.6.0),
@@ -41,9 +41,7 @@
                gnome-doc-utils (>= 0.8),
                gnome-pkg-tools (>= 0.10),
                dpkg-dev (>= 1.13.19)
-Standards-Version: 3.8.3
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/mutter/ubuntu/
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-desktop/mutter/ubuntu/
+Standards-Version: 3.9.1
 
 Package: mutter
 Section: x11
@@ -54,12 +52,10 @@
          mutter-common (<< ${gnome:NextVersion}),
          zenity
 Provides: x-window-manager
-Breaks: unity (<= 0.1.24-0ubuntu1)
 Recommends: gnome-session | x-session-manager
 Suggests: gnome-control-center (>= 1:2.5.4),
           gnome-themes,
           xdg-user-dirs
-Replaces: libmutter0 (<= 2.28.0-0ubuntu1), mutter-common (<= 2.28.0-0ubuntu1)
 Description: lightweight GTK+ window manager
  Mutter is a small window manager, using GTK+ and Clutter to do
  everything.
@@ -113,7 +109,7 @@
 Depends: ${misc:Depends},
          libmutter-private0 (= ${binary:Version}),
          libclutter-1.0-dev (>= 1.0.0),
-         libgtk2.0-dev (>= 2.10.0-1)
+         libgtk3.0-dev (>= 2.99.1)
 Description: Development files for the Mutter window manager
  Mutter is a small window manager, using GTK+ and Clutter to do
  everything.
@@ -125,14 +121,20 @@
  .
  This package contains the development files.
 
-Package: gir1.0-mutter-2.28
+Package: gir1.2-mutter-2.91
 Section: libs
 Architecture: any
 Depends: ${gir:Depends},
-         ${shlib:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libmutter-private0 (<= 2.28.0-1), libmutter0 (<= 2.28.0-0ubuntu1)
-Replaces: libmutter-private0 (<= 2.28.0-1), libmutter0 (<= 2.28.0-0ubuntu1)
+Conflicts: libmutter-private0 (<= 2.28.0-1),
+           gir1.0-mutter-2.28,
+           gir1.0-mutter-2.29,
+           gir1.0-mutter-2.91
+Replaces: libmutter-private0 (<= 2.28.0-1),
+          gir1.0-mutter-2.28,
+          gir1.0-mutter-2.29,
+          gir1.0-mutter-2.91
 Description: GObject introspection data for Mutter
  Mutter is a small window manager, using GTK+ and Clutter to do
  everything.

## mutter 2.91.6

=== debian/changelog ===
mutter (2.91.6-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control.in:
    - Remove duplicate Section
    - Drop gir1.2-mutter-2.91 Conflicts/Replaces against libmutter-private0
      package
  * debian/watch: Drop call to uupdate
  * debian/mutter.lintian-overrides: Add overrides for manpages shipped
    in mutter-common

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update for the new gtk+ 3 package names.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 15:20:42 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                debhelper (>= 5),
                dh-autoreconf,
                intltool (>= 0.34.90),
-               libgtk3.0-dev (>= 2.99.1),
+               libgtk-3-dev (>= 3.0.0),
                gir1.2-gtk-3.0,
                gir1.2-clutter-1.0 (>= 1.4.0),
                gir1.2-json-glib-1.0 (>= 0.12.0-1~),
@@ -44,7 +44,6 @@
 Standards-Version: 3.9.1
 
 Package: mutter
-Section: x11
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -109,7 +108,7 @@
 Depends: ${misc:Depends},
          libmutter-private0 (= ${binary:Version}),
          libclutter-1.0-dev (>= 1.0.0),
-         libgtk3.0-dev (>= 2.99.1)
+         libgtk-3-dev (>= 3.0.0)
 Description: Development files for the Mutter window manager
  Mutter is a small window manager, using GTK+ and Clutter to do
  everything.
@@ -127,12 +126,10 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: libmutter-private0 (<= 2.28.0-1),
-           gir1.0-mutter-2.28,
+Conflicts: gir1.0-mutter-2.28,
            gir1.0-mutter-2.29,
            gir1.0-mutter-2.91
-Replaces: libmutter-private0 (<= 2.28.0-1),
-          gir1.0-mutter-2.28,
+Replaces: gir1.0-mutter-2.28,
           gir1.0-mutter-2.29,
           gir1.0-mutter-2.91
 Description: GObject introspection data for Mutter

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/mutter/([\d\.]+)\d/ mutter-(.*)\.tar\.gz

## mutter 2.91.90

=== debian/changelog ===
mutter (2.91.90-1ubuntu2) natty; urgency=low

  * debian/patches/03_link_gles2.patch: Link to clutter-glx-1.0
    explicitily at the end of link flags, to bring in libGLESv2 on armel.
    Fixes FTBFS (LP:#726827)

 -- Jani Monoses <jani@ubuntu.com>  Wed, 16 Mar 2011 13:30:03 +0200

mutter (2.91.90-1ubuntu1) natty; urgency=low

  * debian/patches/02_arm_include_clutter_x11.patch: Fix armel FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 02 Mar 2011 15:43:27 +0200

mutter (2.91.90-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed, 23 Feb 2011 09:29:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
                dh-autoreconf,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-startup-notification=yes
DEB_DH_MAKESHLIBS_ARGS_libmutter-private0 += -V -- -c4
DEB_INSTALL_DOCS_mutter += doc/theme-format.txt

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg) /usr/lib/mutter

# This does not work with mutter; disabled, for now.
# LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## mutter 3.0.0

=== debian/changelog ===
mutter (3.0.0-0ubuntu1) natty; urgency=low

  * New upstream release

  * Merge with debian experimental (LP: #742458), remaining changes:
    + debian/patches/03_link_gles2.patch: Link to clutter-glx-1.0
      explicitily at the end of link flags, to bring in libGLESv2 on armel.
  * debian/control.in:
    + rename gir package to gir1.2-mutter-3.0
  * debian/libmutter0.symbols:
    + updated
  * debian/patches:
    + fix 03_link_gles2.patch 

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 10 Apr 2011 22:27:59 -0500

mutter (2.91.92-1) experimental; urgency=low

  * New upstream release

  [ Rico Tzschichholz ]
  * debian/patches:
    + drop 02_arm_include_clutter_x11.patch, is upstream
    + drop 10_mutter-ldflags.patch, is upstream
  * debian/control.in,debian/rules:
    + add libmutter0 which replaces libmutter-wm0 and libmutter-private0

  [ Frederic Peters ]
  * debian/control.in: mention gnome-shell in libmutter0 package description.

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 19:56:48 +0100

mutter (2.91.91-1) experimental; urgency=low

  * New upstream release.

  [Laurent Bigonville]
  * debian/control.in: Add Vcs-Svn and Vcs-Browser fields

  [Frederic Peters]
  * debian/control.in, libmutter-wm0.install, libmutter-wm0.symbols:
    Add a libmutter-wm0 library
  * debian/patches/10_mutter-ldflags.patch: Fix linking of mutter binary
  * debian/patches/20_libmutter_export_symbols.patch: Limit list of symbols
    exported by libmutter-{wm,private} (but don't add it to series as it makes
    gnome-shell segfault)
  * debian/mutter.install, debian/mutter-common.install: move mutter-wm.desktop
    from mutter-common to mutter.
  * debian/control.in: add replaces/breaks in mutter, against previous
    versions of mutter-common, for the move of mutter-wm.desktop.

 -- Frederic Peters <fpeters@debian.org>  Mon, 14 Mar 2011 19:09:58 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
                dh-autoreconf,
@@ -43,6 +43,8 @@
                gnome-pkg-tools (>= 0.10),
                dpkg-dev (>= 1.13.19)
 Standards-Version: 3.9.1
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/mutter
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/mutter
 
 Package: mutter
 Architecture: any
@@ -53,6 +55,8 @@
          zenity
 Provides: x-window-manager
 Recommends: gnome-session | x-session-manager
+Replaces: mutter-common (<< 2.91.91-1)
+Breaks: mutter-common (<< 2.91.91-1)
 Suggests: gnome-control-center (>= 1:2.5.4),
           gnome-themes,
           xdg-user-dirs
@@ -67,16 +71,14 @@
  .
  This package contains the core binaries.
 
-Package: libmutter-private0
+Package: libmutter0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          mutter-common (>= ${gnome:Version}),
          mutter-common (<< ${gnome:NextVersion})
-Conflicts: libmutter0
-Replaces: libmutter0
-Description: library for the Mutter window manager
+Description: window manager library from the Mutter window manager
  Mutter is a small window manager, using GTK+ and Clutter to do
  everything.
  .
@@ -85,7 +87,8 @@
  window managers are like Marshmallow Froot Loops; Metacity is like
  Cheerios."
  .
- This package contains the shared library.
+ This package contains the window manager shared library, used by mutter
+ itself, and gnome-shell.
 
 Package: mutter-common
 Section: misc
@@ -107,7 +110,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libmutter-private0 (= ${binary:Version}),
+         libmutter0 (= ${binary:Version}),
          libclutter-1.0-dev (>= 1.0.0),
          libgtk-3-dev (>= 3.0.0)
 Description: Development files for the Mutter window manager
@@ -121,7 +124,7 @@
  .
  This package contains the development files.
 
-Package: gir1.2-mutter-2.91
+Package: gir1.2-mutter-3.0
 Section: libs
 Architecture: any
 Depends: ${gir:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-startup-notification=yes
-DEB_DH_MAKESHLIBS_ARGS_libmutter-private0 += -V -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libmutter0 += -V -- -c4
 DEB_INSTALL_DOCS_mutter += doc/theme-format.txt
 
 $(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::

## mutter 3.0.1

=== debian/changelog ===
mutter (3.0.1-1ubuntu1) oneiric; urgency=low

  * Merge with debian experimental, remaining changes:
    + debian/patches/03_link_gles2.patch: Link to clutter-glx-1.0
      explicitily at the end of link flags, to bring in libGLESv2 on armel.

 -- Laurent Bigonville <bigon@ubuntu.com>  Sat, 07 May 2011 00:13:47 +0200

mutter (3.0.1-1) experimental; urgency=low

  * New upstream release (3.0.0).
  * debian/control.in:
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Drop versionized dpkg-dev build-dependency

 -- Laurent Bigonville <bigon@debian.org>  Fri, 06 May 2011 23:47:25 +0200

mutter (3.0.0-2) experimental; urgency=low

  * Rename gir1.2-mutter-2.91 package to gir1.2-mutter-3.0

 -- Laurent Bigonville <bigon@debian.org>  Mon, 11 Apr 2011 11:19:27 +0200

mutter (3.0.0-1) experimental; urgency=low

  * Team upload.

  [ Frederic Peters ]
  * New upstream release (2.91.93).
  * debian/libmutter0.symbols: new symbol.

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Raphaël Hertzog ]
  * New upstream release (3.0.0).

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 10 Apr 2011 19:38:04 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: cdbs (>= 0.4.41),
                debhelper (>= 5),
                dh-autoreconf,
@@ -40,9 +40,8 @@
                libice-dev,
                zenity,
                gnome-doc-utils (>= 0.8),
-               gnome-pkg-tools (>= 0.10),
-               dpkg-dev (>= 1.13.19)
-Standards-Version: 3.9.1
+               gnome-pkg-tools (>= 0.10)
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/mutter
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/mutter
 
@@ -111,6 +110,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          libmutter0 (= ${binary:Version}),
+         gir1.2-mutter-3.0 (= ${binary:Version}),
          libclutter-1.0-dev (>= 1.0.0),
          libgtk-3-dev (>= 3.0.0)
 Description: Development files for the Mutter window manager
@@ -130,12 +130,8 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
-Conflicts: gir1.0-mutter-2.28,
-           gir1.0-mutter-2.29,
-           gir1.0-mutter-2.91
-Replaces: gir1.0-mutter-2.28,
-          gir1.0-mutter-2.29,
-          gir1.0-mutter-2.91
+Conflicts: gir1.2-mutter-2.91
+Replaces: gir1.2-mutter-2.91
 Description: GObject introspection data for Mutter
  Mutter is a small window manager, using GTK+ and Clutter to do
  everything.

## mutter 3.0.2.1

=== debian/changelog ===
mutter (3.0.2.1-4) unstable; urgency=high

  * Team upload. Urgency high as that problem already affects testing
    users.
  * debian/patches:
    - Add 00git-dont-lose-application-redraws.patch to fix rendering
      issues with parts of the screen not showing the latest content.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 17 Oct 2011 08:37:50 +0200

mutter (3.0.2.1-3) unstable; urgency=low

  [ Rico Tzschichholz ]
  * debian/patches:
    - Add 00git-meta-window-group-Use-clutter_stage_get_redraw_clip_.patch,
      00git-Use-a-utility-function-to-create-GL_ARB_texture_rect.patch
      to remove direct GL usages to let it build with EGL/GLES2 on arm
  * debian/control:
    - Bump build-dep on clutter-1.0-dev (>= 1.7.5)
  * debian/libmutter0.symbols:
    - updated (leave with debian revision since it is added by a patch)

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 19:01:24 +0200

mutter (3.0.2.1-2) unstable; urgency=low

  [ Laurent Bigonville ]
  * Drop debian/mutter.lintian-overrides: Missing manpages are now installed

  [ Michael Biebl ]
  * debian/control.in:
    - Drop Build-Depends on gir1.2-gtk-3.0, gir1.2-clutter-1.0 and
      gir1.2-json-glib-1.0 and let their corresponding -dev package pull it in
      automatically. Bump the Build-Depends on the -dev packages accordingly.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Let cdbs call dh_girepository.
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Remove custom dh_girepository rules from debian/rules.
    - Set DEB_DH_GIREPOSITORY_ARGS_ALL to /usr/lib/mutter.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 Jul 2011 22:45:20 +0200

mutter (3.0.2.1-1) unstable; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/watch:
    - Look for bzip2 tarballs

  [ Josselin Mouette ]
  * Depend on libgnome2-common for the GConf schemas. This will be 
    necessary until mutter is ported to GSettings.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Jun 2011 14:39:59 +0200

mutter (2.29.0-4) unstable; urgency=low

  * Remove gir1.0-mutter-2.29 to ease the gir1.2 transition, since
    nothing uses it.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Feb 2011 20:34:44 +0000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,18 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: cdbs (>= 0.4.41),
-               debhelper (>= 5),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: cdbs (>= 0.4.90),
+               debhelper (>= 8),
                dh-autoreconf,
                intltool (>= 0.34.90),
-               libgtk-3-dev (>= 3.0.0),
-               gir1.2-gtk-3.0,
-               gir1.2-clutter-1.0 (>= 1.4.0),
-               gir1.2-json-glib-1.0 (>= 0.12.0-1~),
+               libgtk-3-dev (>= 3.0.8-1~),
                libcanberra-gtk3-dev,
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
-               libjson-glib-dev (>= 0.12.0-1~),
-               libclutter-1.0-dev (>= 1.4.0),
+               libjson-glib-dev (>= 0.13.2-1~),
+               libclutter-1.0-dev (>= 1.7.5),
                libpango1.0-dev (>= 1.2.0),
                libgconf2-dev (>= 2.6.1-2),
                libglib2.0-dev (>= 2.6.0),
@@ -51,6 +47,7 @@
          ${misc:Depends},
          mutter-common (>= ${gnome:Version}),
          mutter-common (<< ${gnome:NextVersion}),
+         libgnome2-common,
          zenity
 Provides: x-window-manager
 Recommends: gnome-session | x-session-manager

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/mutter/([\d\.]+)\d/ mutter-(.*)\.tar\.bz2

## mutter 3.2.0

=== debian/changelog ===
mutter (3.2.0-0ubuntu2) oneiric; urgency=low

  * Remove debian/patches/debian-changes-3.2.0-0ubuntu1, which reverts our
    patches. This was created by building from the UDD branch, which got
    confused about the pre-applied patches apparently.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Sep 2011 09:41:07 +0200

mutter (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release.
   - Fix _NET_WM_FRAME_EXTENTS not to include invisible borders
   - Fix application-specified window placement (-geometry) for
     invisible borders

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 28 Sep 2011 06:59:26 +0200

mutter (3.1.92-0ubuntu3) oneiric; urgency=low

  * debian/patches/04_ignore_shadow_and_padding.patch: Silently ignore
    padding and shadow tags (LP: #800315)
 -- Timo Kluck <tkluck@infty.nl>   Wed, 21 Sep 2011 17:51:28 +0200

mutter (3.1.92-0ubuntu2) oneiric; urgency=low

  * No-change rebuild against current clutter/cogl. (LP: #856179)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 22 Sep 2011 18:39:05 +0200

mutter (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fix bug with unredirecting full-screen windows on multi-monitor -
      notably affected gnome-screensaver
    - Disable top resizing of attached dialogs
    - Fix problem where certain application updates would get lost
    - Fix a problem where after resuming from the screensaver, things got slow
    - When a monitor is plugged or unplugged, keep existing windows on their
      current monitor
    - And other bug fixes
  * debian/libmutter0.symbols: Updated

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2011 08:53:44 +0200

mutter (3.1.90.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/libmutter0.symbols: Updated
  * debian/watch: Correctly watch unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2011 09:04:44 +0200

mutter (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix Adwaita window decoration (LP: #828543)
  * debian/control.in: Bump libclutter-1.0-dev build-dependency to 1.7.5
  * debian/patches/03_link_gles2.patch: Refreshed
  * debian/libmutter0.symbols: Adjust .symbols file

 -- Laurent Bigonville <bigon@ubuntu.com>  Wed, 24 Aug 2011 14:53:37 +0200

mutter (3.0.2.1-2ubuntu2) oneiric; urgency=low

  * No source change upload: Rebuild against new gir1.2-json-1.0 name

 -- Laurent Bigonville <bigon@ubuntu.com>  Wed, 13 Jul 2011 20:47:52 +0200

mutter (3.0.2.1-2ubuntu1) oneiric; urgency=low

  * Merge with debian unstable, remaining changes:
    + debian/patches/03_link_gles2.patch: Link to clutter-glx-1.0
      explicitily at the end of link flags, to bring in libGLESv2 on armel.

 -- Laurent Bigonville <bigon@ubuntu.com>  Fri, 08 Jul 2011 09:41:17 +0200

mutter (3.0.2.1-1ubuntu1) oneiric; urgency=low

  * Merge with debian unstable, remaining changes:
    + debian/patches/03_link_gles2.patch: Link to clutter-glx-1.0
      explicitily at the end of link flags, to bring in libGLESv2 on armel.

 -- Laurent Bigonville <bigon@ubuntu.com>  Mon, 13 Jun 2011 12:26:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                dh-autoreconf,

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/mutter/([\d\.]+)/ mutter-(.*)\.tar\.bz2

## mutter 3.2.1

=== debian/changelog ===
mutter (3.2.1-2) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/watch:
    - Fix URL regex to correctly detect latest tarballs
    - Switch to .xz tarballs

  [ Michael Biebl ]
  * Upload to unstable.
  * Refresh debian/patches/01_Wcast-align.patch.
  * debian/control.in:
    - Add explicit Build-Depends on libcairo2-dev.
    - Bump Build-Depends on libglib2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Nov 2011 01:21:32 +0100

mutter (3.2.1-1) experimental; urgency=low

  [ Jean Schurger ]
  * New upstream version
  * debian/control.in
    - Updated clutter dependency
  * debian/libmutter0.symbols
    - Updated

  [ Josselin Mouette ]
  * Tighten shlibs to the major GNOME version, libcamel-style.
  * libmutter0.symbols: dropped, upstream ABI stability guarantees are
    not sufficient.

  [ Sjoerd Simons ]
  * New upstream release (3.2.1)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Oct 2011 20:19:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                dh-autoreconf,
@@ -18,10 +17,11 @@
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
                libjson-glib-dev (>= 0.13.2-1~),
-               libclutter-1.0-dev (>= 1.7.5),
+               libclutter-1.0-dev (>= 1.7.12),
                libpango1.0-dev (>= 1.2.0),
+               libcairo2-dev (>= 1.2.0),
                libgconf2-dev (>= 2.6.1-2),
-               libglib2.0-dev (>= 2.6.0),
+               libglib2.0-dev (>= 2.14.0),
                libstartup-notification0-dev (>= 0.7),
                libxcomposite-dev (>= 1:0.2),
                libxfixes-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,9 @@
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-startup-notification=yes
-DEB_DH_MAKESHLIBS_ARGS_libmutter0 += -V -- -c4
+DEB_DH_MAKESHLIBS_ARGS_libmutter0 += -V'libmutter0 (>= $(DEB_GNOME_VERSION)), libmutter0 (<< $(DEB_GNOME_NEXTVERSION))' -- -c4
 DEB_INSTALL_DOCS_mutter += doc/theme-format.txt
-
-$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
-	dh_girepository -p$(cdbs_curpkg) /usr/lib/mutter
+DEB_DH_GIREPOSITORY_ARGS_ALL := /usr/lib/mutter
 
 # This does not work with mutter; disabled, for now.
 # LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/mutter/([\d\.]+)/ mutter-(.*)\.tar\.xz

## mutter 3.2.2

=== debian/changelog ===
mutter (3.2.2-1ubuntu1) precise; urgency=low

  * Sync with Debian. Remaining changes:
  * debian/patches/03_link_gles2.patch: Link to clutter-glx-1.0
    explicitily at the end of link flags, to bring in libGLESv2 on armel.
  * debian/patches/04_ignore_shadow_and_padding.patch: Silently ignore
    padding and shadow tags (LP: #800315)
  * debian/patches/05_handle-gtk-backdrop-case.patch: Handle GTK 3.3.8's
    backdrop window case
  * debian/control.in: Bump minimum GTK to 3.3.8
  * debian/rules: Don't fail on deprecated declarations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2012 12:40:45 -0500

mutter (3.2.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * Change section of gir1.2-mutter-3.0 to introspection.

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Tue, 24 Jan 2012 07:49:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Source: mutter
 Section: x11
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                dh-autoreconf,
                intltool (>= 0.34.90),
-               libgtk-3-dev (>= 3.0.8-1~),
+               libgtk-3-dev (>= 3.3.8~),
                libcanberra-gtk3-dev,
                gobject-introspection (>= 0.9.12-5~),
                libgirepository1.0-dev (>= 0.9.12),
@@ -39,8 +40,8 @@
                gnome-doc-utils (>= 0.8),
                gnome-pkg-tools (>= 0.10)
 Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/mutter
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/mutter
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/mutter
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/mutter
 
 Package: mutter
 Architecture: any
@@ -110,7 +111,7 @@
          libmutter0 (= ${binary:Version}),
          gir1.2-mutter-3.0 (= ${binary:Version}),
          libclutter-1.0-dev (>= 1.0.0),
-         libgtk-3-dev (>= 3.0.0)
+         libgtk-3-dev (>= 3.3.8)
 Description: Development files for the Mutter window manager
  Mutter is a small window manager, using GTK+ and Clutter to do
  everything.
@@ -123,7 +124,7 @@
  This package contains the development files.
 
 Package: gir1.2-mutter-3.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,7 @@
 DEB_INSTALL_DOCS_mutter += doc/theme-format.txt
 DEB_DH_GIREPOSITORY_ARGS_ALL := /usr/lib/mutter
 
+CFLAGS += -Wno-error=deprecated-declarations
+
 # This does not work with mutter; disabled, for now.
 # LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
